Package org.eclipse.jgit.transport

## Class TransferConfig

- java.lang.Object
- - org.eclipse.jgit.transport.TransferConfig

    public class TransferConfig
    extends Object

The standard "transfer", "fetch", "receive", and "uploadpack" configuration parameters.

### Field Summary

Fields
`static Config.SectionParser<TransferConfig>` `KEY` Key for `Config.get(SectionParser)`.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`RefFilter` `getRefFilter()`
`boolean` `isAllowTipSha1InWant()`
`boolean` `isFsckObjects()` Deprecated. use `newObjectChecker()` instead.
`ObjectChecker` `newObjectChecker()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### KEY

    public static final Config.SectionParser<TransferConfig> KEY

Key for `Config.get(SectionParser)`.

### Method Detail

#### isFsckObjects

    @Deprecated
    public boolean isFsckObjects()

Deprecated.
use `newObjectChecker()` instead.

Returns:
  strictly verify received objects?

#### newObjectChecker

    public ObjectChecker newObjectChecker()

Returns:
  checker to verify fetched objects, or null if checking is not enabled in the repository configuration.
Since:
  3.6

#### isAllowTipSha1InWant

    public boolean isAllowTipSha1InWant()

Returns:
  allow clients to request non-advertised tip SHA-1s?
Since:
  3.1

#### getRefFilter

    public RefFilter getRefFilter()

Returns:
  `RefFilter` respecting configured hidden refs.
Since:
  3.1